Package com.orchestranetworks.ui.form.widget

# Interface UIDropDownList

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIWidget`

public interface UIDropDownList extends UIAtomicWithEnumeration
Simple HTML drop-down list.

It is generally recommended to use the more advanced combo box.

### JavaScript type

The JavaScript type for this widget is a `String` corresponding to the selected key value. If the selection is empty (that is, the item [not defined] is selected), the value will be `null`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.3.0
See Also:
  - `UIFormWriter.newDropDownList(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newDropDownList(com.orchestranetworks.schema.Path)`
  - `UIComboBox`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Size`
  `getWidth()`
  `void`
  `setWidth(Size width)`
  Sets the width of the drop-down list.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getWidth

    Size getWidth()
    Returns:
      the width of the drop-down list, or `null` if it has not been defined.
    See Also:
      - `setWidth(Size)`

  - ### setWidth

    void setWidth(Size width)
    Sets the width of the drop-down list.

    If the width is `null`, it will use the standard width of inputs defined in the Administration section, topic Ergonomics and layout.

    Default value is `null`.

    Parameters:
      `width` - the width to set to the drop-down list, or `null` to reset to default.